Botan 1.10.17

Public Member Functions | List of all members
Botan::MGF Class Referenceabstract

`#include <kdf.h>`

Inheritance diagram for Botan::MGF:

## Public Member Functions
virtual void | mask (const byte in[], size_t in_len, byte out[], size_t out_len) const =0
virtual | ~MGF ()

## Detailed Description

Mask Generation Function

Definition at line 94 of file kdf.h.

## Constructor & Destructor Documentation

## ◆ ~MGF()

virtual Botan::MGF::~MGF | ( |  | ) |
| inline virtual

Definition at line 100 of file kdf.h.

100 {}

## Member Function Documentation

## ◆ mask()

virtual void Botan::MGF::mask | ( | const byte | in[],
|  | size_t | in_len,
|  | byte | out[],
|  | size_t | out_len
| ) |  | const
| pure virtual

Implemented in Botan::MGF1.

The documentation for this class was generated from the following file:

- src/kdf/kdf.h